Jump to content

Recommended Posts

Addon will allready support flash. Installer not needed

Or u may delete "%mozilla%\plugins\NPSWF32.dll" before plugins copied.

For now, I will just extract the dll into the plugins folder, overwriting the file that may be there. At least, until I learn how to get version info. The installer will not be used. Thanks for the info on the dll.

IF EXIST "%mozilla%\searchplugins" DEL /Q %localized%\searchplugins\*&%rb% /LOG+:Logs\Copy_to_localized.txt /NP /NJS /NJH /NS /NC /

Already there!!

Edited by Jonnyboy

Share this post


Link to post
Share on other sites

BTW didn't anyone notice a bug: extensions in 3.0 version get corrupted. For example i had Firefox 3.0 rc2 with "Download Statusbar" and "IE tab" extensions. I create an addon of 3.0rc2-SSE2, uninstall previous Firefox and delete all profiles. Install addon and extensions just don't work, they are broken. I need to uninstall them and install again.

Edited by lsrkin

Share this post


Link to post
Share on other sites

My all extentions works perfect with personelized settings.

Maybe 10-15 times tested.

AdBlock Plus

AdBlock Plus: Element Hiding Helper

ColorfulTabs

Direct Link

Download Statusbar

Fasterfox

FlashGot

IE Tab

ImageShack right-click

Linkification

Tabs Open Relative.

Edited by eryen

Share this post


Link to post
Share on other sites
ok i'll test it more

UPD:

Here's what i got

You are using several addons that are not compatible with Firefox 3.0, There is only one that I am aware of that is not compatible with the SSE2 version, that is Roboform. It will take some time for all of the makers of the addons to update to the new 3.0. I continue to use 2.0.0.x for that very reason. Most of the addons I use are not compatible, yet.

***EDIT***Roboform can be made compatible with this minor change - in about:config change "general.useragent.extra.firefox" from BonEcho or Minefield to Firefox. tested

Edited by Jonnyboy

Share this post


Link to post
Share on other sites

nope, it's not about it. Addons are compatible with 3.0rc2 and they worked in my previous(manual, not addon) installation of Firefox and they work if i right click addon and choose "Find Update", nothing gets downloaded, but some files get changed in my profile's folder.

Those extensions aren't even written in [ExtensionDirs] sections of extensions.ini file though there are folders with them in "extensions" folder.

Share this post


Link to post
Share on other sites

I'll need o go through all of the files in 3.0 and see what else has changed and needs to remain. I'll have an update later today.

Edited by Jonnyboy

Share this post


Link to post
Share on other sites

Download Statusbar

install.rdf

<em:minVersion>2.0</em:minVersion>

<em:maxVersion>3.0b5pre</em:maxVersion>

Maynot install on newly installed firefox.

Max version number is smaller then RC2,RC3

Same for IE Tab too.

I use edited install.rdf. So no problem with me.

Edited by eryen

Share this post


Link to post
Share on other sites

Wow, thx eryen!!!

Didn't think about it!!!

Works great now!!!!

2 Jonnyboy

Can u add replacing this

<em:maxVersion>whatever</em:maxVersion>

string

with

<em:maxVersion>3.0</em:maxVersion>

or

<em:maxVersion>3.0.*</em:maxVersion>

in all install.rdf files if user chooses 3.0 version installation?

I don't think that it will affect badly if some extensions are REALLY not compatible with 3.0..though haven't tested it yet

Edited by lsrkin

Share this post


Link to post
Share on other sites
Can u add replacing this

<em:maxVersion>whatever</em:maxVersion>

with this string

<em:maxVersion>3.0.*</em:maxVersion>

in all install.rdf files if user chooses 3.0 version installation?

I have been thinking about doing that and other minor text edits. I have been trying to find a way to replace text. No luck so far.

Share this post


Link to post
Share on other sites

hi jonnyboy..

Really love this program of yours, it is simply amazing. Just keep up your hard work man, your doing GREAT!!!

Share this post


Link to post
Share on other sites

thanks shahed

I have just finished writing a script that will create an inf installer. I just need to integrate it into the addon maker and test. Should be ready in a day or two. The inf installer is needed for some of the optimized firefox's as the original firefox installer crashes when trying to install them.

Share this post


Link to post
Share on other sites
thanks shahed

I have just finished writing a script that will create an inf installer. I just need to integrate it into the addon maker and test. Should be ready in a day or two. The inf installer is needed for some of the optimized firefox's as the original firefox installer crashes when trying to install them.

Sounds Great man.. your really making a super program here, that really comes handy, as Firefox is so dominant now days, and a program like this makes life so much easier.

Looking forward to your next update

Thank you V.much :)

Share this post


Link to post
Share on other sites
Guest

mmm from about 30 min i found this link

it links to firefox 3.0 i guess it released but not in the main page yet

i hope it`s really the last version

i`m testing it right now and the link is from mozila site

here it is just in case ftp://ftp.mozilla.org/pub/firefox/r...x Setup 3.0.exe

Edited by Dark_Knight

Share this post


Link to post
Share on other sites

The script may or may not work. It depends on the mozilla ftp. Due to the heavy traffic they are getting, the script will error if it can't get the file and you don't already have it. I will put error checking for this in the next version. :(

Share this post


Link to post
Share on other sites
final release in now released it just released

http://www.mozilla.com/en-US/firefox/all.html

now make the final script i need to work on my version and end it soon

Not a nice way to request something unless you're making it yourself...... plus over here (EST) you're 6 hours late :P

Edited by InfinitiProject

Share this post


Link to post
Share on other sites
Guest
Not a nice way to request something unless you're making it yourself...... plus over here (EST) you're 6 hours late :P

i didn`t mean to be a bad guy

i just typed when i was in a bad mood :P really just kidding he can finish it in any time

:D i hope the doesn`t understand me wrong

Share this post


Link to post
Share on other sites

I could not do a firefox 3.0 final because of the server load on mozilla ftp. I could not get an address that would not say 421: too many users. I will have it ready ASAP.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now




×